Name: ultramonkeyl7-repo
Version: 3.1.2
Release: 1%{?dist}
Summary: The Layer-7 Load Balancer Packages
Group: System Environment/Daemons
License: GPL
URL: http://sourceforge.jp/projects/ultramonkey-l7/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%define uml7_dir	/opt/ultramonkey-l7/ultramonkeyl7
%define rpm_dir		%{uml7_dir}/%{_arch}
%define repo_dir	%{_sysconfdir}/yum.repos.d

%description
Install UltraMonkey-L7 repository.

%prep

%setup -q

%build

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{rpm_dir}
cp -pr RPMS/%{_arch}/* ${RPM_BUILD_ROOT}%{rpm_dir}

mkdir -p ${RPM_BUILD_ROOT}%{repo_dir}
cp -p repo/ultramonkeyl7/ultramonkeyl7.repo ${RPM_BUILD_ROOT}%{repo_dir}


%files
%defattr(-,root,root)
%dir %{uml7_dir}
%{rpm_dir}
%doc doc/ChangeLog doc/README doc/README.ja
%config(noreplace) %{repo_dir}/ultramonkeyl7.repo

%clean
rm -rf ${RPM_BUILD_ROOT}

%changelog
* Fri Nov 28 2014 Hiroaki Nakano <nakano.hiroaki@nttcom.co.jp> 3.1.1-1
- 3.1.2-1 create.

* Fri Mar 7 2014 Hiroaki Nakano <nakano.hiroaki@nttcom.co.jp> 3.1.1-1
- 3.1.1-1 create.

* Wed Feb 26 2014 Hiroaki Nakano <nakano.hiroaki@nttcom.co.jp> 3.1.1-devel
- 3.1.1-devel create.

* Mon Nov 12 2012 HIBARI Michiro <hibari.michiro@lab.ntt.co.jp> 3.1.0-devel
- First release in RPM format.
